---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks.git
    rev: v4.0.1
    hooks:
      - id: check-added-large-files
      - id: check-executables-have-shebangs
      - id: check-json
      - id: check-merge-conflict
      - id: check-shebang-scripts-are-executable
      - id: check-symlinks
      - id: check-yaml
      - id: detect-private-key
      - id: end-of-file-fixer
      - id: trailing-whitespace
        exclude: \.diff$

  - repo: https://github.com/codespell-project/codespell.git
    rev: v2.1.0
    hooks:
      - id: codespell

  - repo: https://github.com/Yelp/detect-secrets.git
    rev: v1.1.0
    hooks:
      - id: detect-secrets

  - repo: https://github.com/amperser/proselint.git
    rev: 0.10.2
    hooks:
      - id: proselint
        types: [plain-text]
        exclude: LICENSE

  - repo: https://gitlab.com/devopshq/gitlab-ci-linter.git
    rev: v1.0.4
    hooks:
      - id: gitlab-ci-linter
        args:
          - "--server"
          - https://git.shore.co.il

  - repo: https://github.com/adrienverge/yamllint.git
    rev: v1.26.3
    hooks:
      - id: yamllint

  - repo: https://github.com/executablebooks/mdformat.git
    rev: 0.7.10
    hooks:
      - id: mdformat

  - repo: https://git.shore.co.il/nimrod/pre-commit-hooks.git
    rev: v0.2.0
    hooks:
      - id: shell-validate
      - id: terraform-fmt
      - id: terraform-validate

  - repo: https://github.com/shellcheck-py/shellcheck-py.git
    rev: v0.7.2.1
    hooks:
      - id: shellcheck
